﻿using System;
using System.Collections.Generic;

namespace EventDelegatePattern
{
    public class Subject
    {
        public event EventHandler<TextLangChangedEventArgs> TextChanged;

        private readonly IList<string> _stateList = new List<string>();


        public Subject()
        {
            InitState();
        }


        private void InitState()
        {
            _stateList.Add("Hello");
            _stateList.Add("World");
            _stateList.Add("Goodbye");
            _stateList.Add("Cat");
            _stateList.Add("Dog");
            _stateList.Add("Apple");
            _stateList.Add("Man");
            _stateList.Add("Women");
            _stateList.Add("Groovy");
        }


        private string CurrentTextToDisplay
        {
            get
            {
                var random = new Random();
                var i = random.Next(_stateList.Count);
                return _stateList[i];
            }
        }
        

        public void Notify()
        {
            if (TextChanged != null)
            {
                TextChanged(this, new TextLangChangedEventArgs(CurrentTextToDisplay));
            }
        }
    }
}
