﻿using System.Collections.Generic;
using System.Windows.Controls;
using EventDelegatePattern;

namespace WPFApp
{
    /// <summary>
    /// Interaction logic for TurkishLabelControl.xaml
    /// </summary>
    public partial class TurkishLabelControl : UserControl
    {

        private IDictionary<string, string> _dict = new Dictionary<string, string>();

        public TurkishLabelControl()
        {
            InitializeComponent();
            InitDict();
        }

        private void InitDict()
        {
            _dict.Add("Hello", "Merhaba");
            _dict.Add("World", "Dünya");
            _dict.Add("Goodbye", "Güle Güle");
            _dict.Add("Cat", "Kedi");
            _dict.Add("Dog", "Köpek");
            _dict.Add("Apple", "Elma");
            _dict.Add("Man", "Adam");
            _dict.Add("Women", "Kadin");
        }


        public void Update(object source, TextLangChangedEventArgs args)
        {            
            label1.Content = _dict.ContainsKey(args.NewLanguage) ? _dict[args.NewLanguage] : "Cannot find it in turkish";
        }
    }
}
